{
    num: -508,
    accuracy: true,
    basePower: 0,
    category: "Status",
    name: "Lift Off",
    pp: 15,
    priority: 0,
    flags: { snatch: 1, gravity: 1, metronome: 1 },
    boosts: {
      spe: 2
    },
    volatileStatus: "magnetrise",
    onTry(source, target, move) {
      if (target.volatiles["smackdown"] || target.volatiles["ingrain"])
        return false;
      if (this.field.getPseudoWeather("Gravity")) {
        this.add("cant", source, "move: Gravity", move);
        return null;
      }
    },
    condition: {
      duration: 5,
      onStart(target) {
        this.add("-start", target, "Magnet Rise");
      },
      onImmunity(type) {
        if (type === "Ground")
          return false;
      },
      onResidualOrder: 18,
      onEnd(target) {
        this.add("-end", target, "Magnet Rise");
      }
    },
    secondary: null,
    target: "self",
    type: "Electric",
    zMove: { boost: { speed: 2 } },
    contestType: "Clever"
}